%define name		x11-driver-video-nouveau
%define upname		xf86-video-nouveau
%define version		1.0.11
%define rel		2

%define release %mkrel %{rel}

Summary:	Accelerated open source driver for NVIDIA cards
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
Source0:	http://xorg.freedesktop.org/releases/individual/driver/%{upname}-%{version}.tar.xz
Patch1:		xf86-video-nouveau-1.0.11-git.patch
BuildRequires: pkgconfig(libdrm_nouveau)
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
BuildRequires:	udev-devel
Conflicts:	xorg-x11-server < 7.0
Obsoletes:	dkms-nouveau 
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%setup -q -n %{upname}-%{version}
%apply_patches
grep -q %{version} configure.ac

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*

%clean
rm -rf %buildroot

%changelog
* Sat Feb 21 2015 bb <bb> 1.0.11-1pclos2015
- update
